package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxWeappAuditStatus;
import com.iformall.domain.vo.WxWeappAuditStatusVo;

import java.util.List;
import java.util.Map;

public interface WxWeappAuditStatusService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxWeappAuditStatusVo> listAsPage(WxWeappAuditStatusVo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<WxWeappAuditStatusVo> getList(WxWeappAuditStatusVo record);

    /**
     * 查询version列表
     *
     * @return
     */
    List<Map> getVersionList(Integer type, Integer auditStatus);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxWeappAuditStatus getById(Long id);

    /**
     * 根据appId获得实体
     *
     * @param appId
     * @return
     */
    WxWeappAuditStatus getByAppId(String appId);

    /**
     * 保存实体
     *
     * @param record
     */
    void saveStatus(WxWeappAuditStatus record);

    /**
     * 更新audit Status
     *
     * @param record
     */
    void updateStatus(WxWeappAuditStatus record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


}
